Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419545 - CVE-2017-2586 CVE-2017-2587 CVE-2017-5849 netpbm: various flaws [fedora-all]
Summary: CVE-2017-2586 CVE-2017-2587 CVE-2017-5849 netpbm: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm
Version: 25
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-2586 CVE-2017-2587 CVE-2017-5849
TreeView+ depends on / blocked
 
Reported: 2017-02-06 13:19 UTC by Andrej Nemec
Modified: 2017-03-02 00:49 UTC (History)
2 users (show)

Fixed In Version: netpbm-10.77.00-3.fc25 netpbm-10.77.00-3.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 22:22:41 UTC
Type: ---


Attachments (Terms of Use)
patch for CVE-2017-2586 (491 bytes, patch)
2017-02-08 14:11 UTC, Josef Ridky
no flags Details | Diff
patch for CVE-2017-2587 (788 bytes, patch)
2017-02-08 14:11 UTC, Josef Ridky
no flags Details | Diff
patch for CVE-2017-5849 (639 bytes, patch)
2017-02-08 14:12 UTC, Josef Ridky
no flags Details | Diff

Description Andrej Nemec 2017-02-06 13:19:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Josef Ridky 2017-02-08 14:11:15 UTC
Created attachment 1248614 [details]
patch for CVE-2017-2586

Comment 2 Josef Ridky 2017-02-08 14:11:42 UTC
Created attachment 1248615 [details]
patch for CVE-2017-2587

Comment 3 Josef Ridky 2017-02-08 14:12:14 UTC
Created attachment 1248616 [details]
patch for CVE-2017-5849

Comment 4 Fedora Update System 2017-02-09 08:02:37 UTC
netpbm-10.77.00-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1855c8af2c

Comment 5 Fedora Update System 2017-02-09 08:03:01 UTC
netpbm-10.77.00-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa4e441e03

Comment 6 Fedora Update System 2017-02-09 21:52:17 UTC
netpbm-10.77.00-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa4e441e03

Comment 7 Fedora Update System 2017-02-09 22:21:46 UTC
netpbm-10.77.00-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1855c8af2c

Comment 8 Fedora Update System 2017-02-13 22:22:41 UTC
netpbm-10.77.00-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-14 15:49:14 UTC
netpbm-10.77.00-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-03-02 00:49:22 UTC
netpbm-10.77.00-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.